#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct AxisRange {
    #[builder(default, into)]
    #[serde(rename = "start", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    start: Option<f64>,
    #[builder(default, into)]
    #[serde(rename = "end", skip_serializing_if = "Option::is_none", default)]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    end: Option<f64>,
}
impl AxisRange {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn start(&self) -> Option<f64> {
        self.start.as_ref().map(|o| *o)
    }
    #[inline]
    pub fn end(&self) -> Option<f64> {
        self.end.as_ref().map(|o| *o)
    }
}
